__gnu_cxx::forced_error(3cxx)

NAME
__gnu_cxx::forced_error - Thown by exception safety machinery.

SYNOPSIS

Inherits std::exception.

  Public Member Functions

virtual const char * what () const _GLIBCXX_TXN_SAFE_DYN noexcept

Detailed Description

Thown by exception safety machinery.

Definition at line 74 of file throw_allocator.h.

Member Function Documentation

  virtual const char* std::exception::what () const [virtual], [noexcept], [inherited]
Returns a C-style character string describing the general cause of the current error.

Reimplemented in std::bad_function_call, std::ios_base::failure, std::runtime_error, std::bad_typeid, std::bad_cast, std::logic_error, std::future_error, std::bad_exception, std::bad_weak_ptr, std::experimental::fundamentals_v1::bad_any_cast, and std::bad_alloc.

Author

Generated automatically by Doxygen for libstdc++ from the source code.